#include "S48P01.h"
#include "GameplayTagContainer.h"
#include "GameEventData.h"
#include "EHealthState.h"
#include "Net/UnrealNetwork.h"

void US48P01::Authority_OnTimerEnd()
{

}

void US48P01::Authority_OnSurvivorHealed(FGameplayTag gameEventType, const FGameEventData& gameEventData)
{

}

void US48P01::Authority_OnPerkActivated(FGameplayTag gameEventType, const FGameEventData& gameEventData)
{

}

void US48P01::Authority_OnHealthStateChanged(EHealthState oldHealthState, EHealthState newHealthState)
{

}

void US48P01::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(US48P01, _survivorsHealed);
}

US48P01::US48P01()
{
	this->_survivorsHealed = 0;
	this->_survivorsToHeal = 2;
	this->_recoverProgressNeeded = 0.250000;
	this->_brokenStatusEffectClass = NULL;
	this->_interaction = NULL;
}
